shows: Search shows by name

API: tvmaze.com:tvmaze-api
Endpoint: /search/shows
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 156ms

Description

Search for TV shows by name. This is the primary way to find shows in the TVmaze database. Returns a list of matching shows with relevance scores and basic show metadata. Use this when you want to find shows matching a search term, rather than fetching a specific show by ID. Results include the show's name, language, genres, status, and a relevance score indicating match quality.

From spec: Fuzzy search for TV shows by name. Returns an array of results with relevance scores.

Usage Tips

- The 'q' parameter does partial matching on show names - Results are sorted by relevance, most relevant first - If you need the single best match, use /singlesearch/shows instead

Parameters (1)

q (string, query, required)

Show name to search for

Examples (6)

Search TV shows openapi-spec
curl 'https://api.tvmaze.com/search/shows?q=game+of+thrones'
import requests

resp = requests.get(
    "https://api.tvmaze.com/search/shows",
    params={
        'q': 'game of thrones',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("search/shows", q="game of thrones")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/search/shows?q=game+of+thrones");
const data = await resp.json();
Search shows by name doc_extracted
curl 'https://api.tvmaze.com/search/shows?q=stargate'
import requests

resp = requests.get(
    "https://api.tvmaze.com/search/shows",
    params={
        'q': 'stargate',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("search/shows", q="stargate")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/search/shows?q=stargate");
const data = await resp.json();
Search shows (Arrow) doc_extracted
curl 'https://api.tvmaze.com/search/shows?q=Arrow'
import requests

resp = requests.get(
    "https://api.tvmaze.com/search/shows",
    params={
        'q': 'Arrow',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("search/shows", q="Arrow")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/search/shows?q=Arrow");
const data = await resp.json();
Search shows (lost) doc_extracted
curl 'https://api.tvmaze.com/search/shows?q=lost'
import requests

resp = requests.get(
    "https://api.tvmaze.com/search/shows",
    params={
        'q': 'lost',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("search/shows", q="lost")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/search/shows?q=lost");
const data = await resp.json();
Search shows openapi-spec
curl 'https://api.tvmaze.com/search/shows?q=Breaking+Bad'
import requests

resp = requests.get(
    "https://api.tvmaze.com/search/shows",
    params={
        'q': 'Breaking Bad',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("search/shows", q="Breaking Bad")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/search/shows?q=Breaking+Bad");
const data = await resp.json();
Search shows probe-gate
curl 'https://api.tvmaze.com/search/shows?q=Breaking+Bad'
import requests

resp = requests.get(
    "https://api.tvmaze.com/search/shows",
    params={
        'q': 'Breaking Bad',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("search/shows", q="Breaking Bad")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/search/shows?q=Breaking+Bad");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:41:35.069159 200 156ms
2026-04-16 03:51:05.886086 200 128ms
2026-04-16 03:03:29.722893 200 155ms
2026-04-16 02:01:19.597449 200 180ms
2026-04-16 00:57:42.156380 200 188ms
2026-04-16 00:51:35.142520 200 155ms
2026-04-16 00:08:28.828441 200 131ms
2026-04-15 03:47:42.696294 200 177ms
2026-04-15 02:45:01.910291 200 124ms
2026-04-15 02:02:51.895818 200 168ms
2026-04-15 01:55:51.446665 200 125ms
2026-04-15 00:42:39.887922 200 157ms
2026-04-15 00:29:27.242768 200 162ms
2026-04-14 03:39:16.695225 200 147ms
2026-04-14 03:32:50.718595 200 139ms
2026-04-14 01:45:46.975483 200 174ms
2026-04-14 01:03:06.376410 200 116ms
2026-04-14 00:48:44.737366 200 152ms
2026-04-14 00:12:54.082938 200 114ms
2026-04-12 15:57:25.606905 200 143ms
2026-04-12 15:24:10.428518 200 177ms
2026-04-12 15:08:49.704041 200 112ms
2026-04-12 15:07:16.774898 200 113ms
2026-04-12 14:58:14.959264 200 96ms
2026-04-12 12:58:03.396862 200 107ms
2026-04-10 06:47:43.984807 200 98ms
2026-04-10 04:12:49.202183 200 133ms
2026-04-10 01:22:07.510984 200 112ms
2026-04-10 00:58:04.513442 200 116ms
2026-04-10 00:56:59.823604 200 102ms
2026-04-10 00:32:39.515375 200 110ms
2026-04-09 03:47:03.279945 200 166ms
2026-04-09 03:21:39.584870 200 135ms
2026-04-09 00:37:46.043118 200 209ms
2026-04-09 00:31:44.496674 200 155ms
2026-04-09 00:18:17.962636 200 645ms
2026-04-09 00:17:16.915742 200 216ms
2026-03-23 10:42:26.184800 200 116ms
2026-03-23 10:32:13.015890 200 95ms
2026-03-23 09:34:21.156200 200 84ms
2026-03-23 09:20:48.111317 200 132ms
2026-03-23 09:11:52.249012 200 106ms
2026-03-22T09:42:55.431782 200 183ms